Asterisk.org: Developer Documentation (28 Oct 2009)

Wed Oct 28 15:49:26 2009

## Asterisk developer's documentation

# ast_callerid Struct Reference

`#include <channel.h>`

## Data Fields

char * | cid_ani
int | cid_ani2
char * | cid_dnid
char * | cid_name
char * | cid_num
int | cid_pres
char * | cid_rdnis
int | cid_tns
int | cid_ton

## Detailed Description

Structure for all kinds of caller ID identifications

Definition at line 140 of file channel.h.

## Field Documentation

char* cid_ani

Malloc'd ANI

Definition at line 148 of file channel.h.

Referenced by ast_cdr_init(), ast_cdr_setcid(), ast_cdr_update(), ast_iax2_new(), ast_modem_new(), ast_set_callerid(), callerid_read(), dial_exec_full(), features_call(), free_cid(), get_callerid_ast(), iax2_call(), local_call(), pbx_retrieve_variable(), ring_entry(), vpb_new(), wait_for_answer(), zt_handle_event(), and zt_new().

int cid_ani2

Callerid ANI 2 (Info digits)

Definition at line 154 of file channel.h.

Referenced by pbx_retrieve_variable(), setup_env(), and zt_handle_event().

char* cid_dnid

Malloc'd Dialed Number Identifier

Definition at line 142 of file channel.h.

Referenced by __oh323_new(), ast_iax2_new(), ast_serialize_showchan(), callerid_read(), callerid_write(), free_cid(), handle_showchan(), iax2_call(), oss_call(), pbx_retrieve_variable(), setup_env(), sip_new(), and zt_new().

char* cid_name

Malloc'd Caller Name

Definition at line 146 of file channel.h.

Referenced by __oh323_new(), action_status(), agent_call(), ast_cdr_init(), ast_cdr_setcid(), ast_cdr_update(), ast_iax2_new(), ast_modem_new(), ast_park_call(), ast_request(), ast_serialize_showchan(), ast_set_callerid(), ast_setstate(), bestdata_handle_escape(), build_rpid(), builtin_atxfer(), callerid_read(), copy_message(), dial_exec_full(), do_parking_thread(), features_call(), free_cid(), get_callerid(), get_callerid_ast(), handle_showchan(), iax2_call(), initreqprep(), join_queue(), launch_page(), leave_voicemail(), local_call(), lookupblacklist_exec(), manager_parking_status(), manager_queues_status(), mgcp_call(), mgcp_hangup(), mgcp_new(), misdn_new(), oh323_call(), oss_call(), park_exec(), parkandannounce_exec(), pbx_retrieve_variable(), phone_call(), ring_entry(), rpt_call(), senddialevent(), setup_env(), sip_new(), skinny_call(), skinny_indicate(), skinny_new(), ss_thread(), vpb_new(), wait_for_answer(), zt_call(), zt_handle_event(), and zt_new().

char* cid_num

Malloc'd Caller Number

Definition at line 144 of file channel.h.

Referenced by __ast_goto_if_exists(), __ast_pbx_run(), __login_exec(), __oh323_new(), action_agents(), action_status(), agent_call(), agentmonitoroutgoing_exec(), ast_app_dtget(), ast_cdr_init(), ast_cdr_setcid(), ast_cdr_update(), ast_channel_bridge(), ast_iax2_new(), ast_modem_new(), ast_park_call(), ast_parseable_goto(), ast_request(), ast_serialize_showchan(), ast_set_callerid(), ast_setstate(), ast_waitstream_exten(), background_detect_exec(), bestdata_handle_escape(), build_rpid(), builtin_atxfer(), builtin_automonitor(), builtin_blindtransfer(), callerid_read(), console_transfer(), copy_message(), dial_exec_full(), disa_exec(), do_parking_thread(), features_call(), find_matching_endwhile(), free_cid(), get_callerid(), get_callerid_ast(), handle_chanlist(), handle_setpriority(), handle_showchan(), i4l_dial(), i4l_read(), iax2_call(), initreqprep(), join_queue(), launch_page(), leave_voicemail(), local_call(), lookupblacklist_exec(), lookupcidname_exec(), macro_exec(), manager_parking_status(), manager_queues_status(), mgcp_call(), mgcp_hangup(), mgcp_new(), mgcp_ss(), misdn_new(), misdn_write(), monitor_handle_owned(), oh323_call(), osplookup_exec(), oss_call(), park_exec(), parkandannounce_exec(), pbx_builtin_waitexten(), pbx_retrieve_variable(), phone_call(), privacy_exec(), queue_exec(), ring_entry(), rpt_call(), rpt_exec(), senddialevent(), setup_env(), sip_new(), skinny_call(), skinny_indicate(), skinny_new(), skinny_ss(), sms_exec(), ss_thread(), valid_exit(), vm_authenticate(), vpb_new(), wait_for_answer(), write_metadata(), zapateller_exec(), zt_call(), zt_handle_dtmfup(), zt_handle_event(), and zt_new().

int cid_pres

Callerid presentation/screening

Definition at line 152 of file channel.h.

Referenced by ast_iax2_new(), ast_set_callerid(), cb_events(), dial_exec_full(), features_call(), i4l_dial(), iax2_call(), local_call(), pbx_retrieve_variable(), privacy_exec(), setcallerid_pres_exec(), setup_env(), sip_call(), sip_new(), update_config(), zt_call(), and zt_new().

char* cid_rdnis

Malloc'd RDNIS

Definition at line 150 of file channel.h.

Referenced by __oh323_new(), callerid_read(), callerid_write(), dial_exec_full(), features_call(), free_cid(), local_call(), pbx_retrieve_variable(), read_config(), setrdnis_exec(), setup_env(), sip_new(), wait_for_answer(), zt_call(), and zt_new().

int cid_tns

Callerid Transit Network Select

Definition at line 158 of file channel.h.

Referenced by ast_iax2_new(), dial_exec_full(), iax2_call(), pbx_retrieve_variable(), and setup_env().

int cid_ton

Callerid Type of Number

Definition at line 156 of file channel.h.

Referenced by ast_iax2_new(), dial_exec_full(), iax2_call(), pbx_retrieve_variable(), setup_env(), and zt_new().

The documentation for this struct was generated from the following file:

- channel.h